diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/flame/flame-protocol.h ns-3.44/src/mesh/model/flame/flame-protocol.h
--- ns-3.43/src/mesh/model/flame/flame-protocol.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/flame/flame-protocol.h	2025-03-09 16:55:49.643372000 -0700
@@ -16,10 +16,10 @@
 #include <map>
 
 /**
- * \ingroup mesh
- * \defgroup flame FLAME
+ * @ingroup mesh
+ * @defgroup flame FLAME
  *
- * \brief Forwarding LAyer for MEshing protocol
+ * @brief Forwarding LAyer for MEshing protocol
  *
  * Simple L2.5 mesh routing protocol developed by
  * Herman Elfrink <herman.elfrink@ti-wmc.nl> and presented in
@@ -39,8 +39,8 @@
 class FlameRtable;
 
 /**
- * \ingroup flame
- * \brief Transmitter and receiver addresses
+ * @ingroup flame
+ * @brief Transmitter and receiver addresses
  */
 class FlameTag : public Tag
 {
@@ -53,7 +53,7 @@
     /**
      * Constructor
      *
-     * \param a receiver MAC address
+     * @param a receiver MAC address
      */
     FlameTag(Mac48Address a = Mac48Address())
         : receiver(a)
@@ -61,8 +61,8 @@
     }
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     // Inherited from Tag
@@ -74,15 +74,15 @@
 };
 
 /**
- * \ingroup flame
- * \brief FLAME routing protocol
+ * @ingroup flame
+ * @brief FLAME routing protocol
  */
 class FlameProtocol : public MeshL2RoutingProtocol
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -98,13 +98,13 @@
     /**
      * Route request, inherited from MeshL2RoutingProtocol
      *
-     * \param sourceIface the source interface
-     * \param source the source address
-     * \param destination the destination address
-     * \param packet the packet to route
-     * \param protocolType the protocol type
-     * \param routeReply the route reply
-     * \returns if route exists
+     * @param sourceIface the source interface
+     * @param source the source address
+     * @param destination the destination address
+     * @param packet the packet to route
+     * @param protocolType the protocol type
+     * @param routeReply the route reply
+     * @returns if route exists
      */
     bool RequestRoute(uint32_t sourceIface,
                       const Mac48Address source,
@@ -115,12 +115,12 @@
     /**
      * Cleanup flame headers!
      *
-     * \param fromIface the from interface
-     * \param source the source address
-     * \param destination the destination address
-     * \param packet the packet
-     * \param protocolType the protocol type
-     * \returns if the route removed
+     * @param fromIface the from interface
+     * @param source the source address
+     * @param destination the destination address
+     * @param packet the packet
+     * @param protocolType the protocol type
+     * @returns if the route removed
      */
     bool RemoveRoutingStuff(uint32_t fromIface,
                             const Mac48Address source,
@@ -128,9 +128,9 @@
                             Ptr<Packet> packet,
                             uint16_t& protocolType) override;
     /**
-     * \brief Install FLAME on given mesh point.
-     * \param mp the MeshPointDevice
-     * \returns true if successful
+     * @brief Install FLAME on given mesh point.
+     * @param mp the MeshPointDevice
+     * @returns true if successful
      *
      * Installing protocol causes installation of its interface MAC plugins.
      *
@@ -140,12 +140,12 @@
     bool Install(Ptr<MeshPointDevice> mp);
     /**
      * Get address of this instance
-     * \returns the MAC address
+     * @returns the MAC address
      */
     Mac48Address GetAddress();
     /**
      * Statistics
-     * \param os the output stream
+     * @param os the output stream
      */
     void Report(std::ostream& os) const;
     /// Reset statistics function
@@ -155,14 +155,14 @@
     /// LLC protocol number reserved by flame
     static const uint16_t FLAME_PROTOCOL = 0x4040;
     /**
-     * \brief Handles a packet: adds a routing information and drops packets by TTL or Seqno
+     * @brief Handles a packet: adds a routing information and drops packets by TTL or Seqno
      *
-     * \param seqno
-     * \param source
-     * \param flameHdr
-     * \param receiver
-     * \param fromIface
-     * \return true if packet shall be dropped
+     * @param seqno
+     * @param source
+     * @param flameHdr
+     * @param receiver
+     * @param fromIface
+     * @return true if packet shall be dropped
      */
     bool HandleDataFrame(uint16_t seqno,
                          Mac48Address source,
@@ -170,7 +170,7 @@
                          Mac48Address receiver,
                          uint32_t fromIface);
     /**
-     * \name Information about MeshPointDeviceaddress, plugins
+     * @name Information about MeshPointDeviceaddress, plugins
      * \{
      */
     typedef std::map<uint32_t, Ptr<FlameProtocolMac>> FlamePluginMap;
@@ -178,7 +178,7 @@
     Mac48Address m_address;      ///< address
     //\}
     /**
-     * \name Broadcast timers:
+     * @name Broadcast timers:
      * \{
      */
     Time m_broadcastInterval;
@@ -201,7 +201,7 @@
         uint16_t totalDropped; ///< total dropped
         /**
          * Print function
-         * \param os the output stream to print to
+         * @param os the output stream to print to
          */
         void Print(std::ostream& os) const;
         /// constructor
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/flame/flame-protocol-mac.h ns-3.44/src/mesh/model/flame/flame-protocol-mac.h
--- ns-3.43/src/mesh/model/flame/flame-protocol-mac.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/flame/flame-protocol-mac.h	2025-03-09 16:55:49.639372000 -0700
@@ -18,9 +18,9 @@
 class FlameProtocol;
 
 /**
- * \ingroup flame
+ * @ingroup flame
  *
- * \brief Interface MAC plugin for FLAME routing protocol
+ * @brief Interface MAC plugin for FLAME routing protocol
  */
 class FlameProtocolMac : public MeshWifiInterfaceMacPlugin
 {
@@ -28,7 +28,7 @@
     /**
      * Constructor
      *
-     * \param protocol flame protocol object
+     * @param protocol flame protocol object
      */
     FlameProtocolMac(Ptr<FlameProtocol> protocol);
     ~FlameProtocolMac() override;
@@ -36,39 +36,42 @@
     // Inherited from MAC plugin
     /**
      * Set parent of this instance
-     * \param parent pointer to the parent MeshWifiInterfaceMac
+     * @param parent pointer to the parent MeshWifiInterfaceMac
      */
     void SetParent(Ptr<MeshWifiInterfaceMac> parent) override;
     /**
      * Receive and process a packet; packets are given a FlameTag packet tag
-     * \param packet the packet received
-     * \param header the header
-     * \returns true if successful
+     * @param packet the packet received
+     * @param header the header
+     * @returns true if successful
      */
     bool Receive(Ptr<Packet> packet, const WifiMacHeader& header) override;
     /**
      * Process an outgoing frame.  Remove the FlameTag and increment stats
      * counters.
-     * \param packet the packet received
-     * \param header the header
-     * \param from the MAC address of the sender
-     * \param to the MAC address of the receiver
-     * \returns true if successful
+     * @param packet the packet received
+     * @param header the header
+     * @param from the MAC address of the sender
+     * @param to the MAC address of the receiver
+     * @returns true if successful
      */
     bool UpdateOutcomingFrame(Ptr<Packet> packet,
                               WifiMacHeader& header,
                               Mac48Address from,
                               Mac48Address to) override;
+
     /**
      * Update beacon is empty, because FLAME does not know anything about beacons
-     * \param beacon the beacon
+     * @param beacon the beacon
      */
-    void UpdateBeacon(MeshWifiBeacon& beacon) const override{};
+    void UpdateBeacon(MeshWifiBeacon& beacon) const override
+    {
+    }
 
     /**
      * AssignStreams is empty, because this model doesn't use random variables
-     * \param stream
-     * \returns 0 (no streams used)
+     * @param stream
+     * @returns 0 (no streams used)
      */
     int64_t AssignStreams(int64_t stream) override
     {
@@ -77,12 +80,12 @@
 
     /**
      * Get channel ID function
-     * \returns the channel
+     * @returns the channel
      */
     uint16_t GetChannelId() const;
     /**
      * Report statistics
-     * \param os the output stream
+     * @param os the output stream
      */
     void Report(std::ostream& os) const;
     /// Reset statistics function
@@ -105,7 +108,7 @@
 
         /**
          * Print function
-         * \param os the output stream
+         * @param os the output stream
          */
         void Print(std::ostream& os) const;
         /// constructor
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/flame/flame-rtable.h ns-3.44/src/mesh/model/flame/flame-rtable.h
--- ns-3.43/src/mesh/model/flame/flame-rtable.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/flame/flame-rtable.h	2025-03-09 16:55:49.643372000 -0700
@@ -20,9 +20,9 @@
 namespace flame
 {
 /**
- * \ingroup flame
+ * @ingroup flame
  *
- * \brief Routing table for FLAME
+ * @brief Routing table for FLAME
  */
 class FlameRtable : public Object
 {
@@ -43,10 +43,10 @@
         /**
          * Constructor
          *
-         * \param r retransmitter MAC address
-         * \param i interfce index
-         * \param c cost
-         * \param s sequence number
+         * @param r retransmitter MAC address
+         * @param i interfce index
+         * @param c cost
+         * @param s sequence number
          */
         LookupResult(Mac48Address r = Mac48Address::GetBroadcast(),
                      uint32_t i = INTERFACE_ANY,
@@ -60,22 +60,22 @@
         }
 
         /**
-         * \returns True for valid route
+         * @returns True for valid route
          */
         bool IsValid() const;
         /**
          * Compare route lookup results, used by tests
          *
-         * \param o the object to compare
-         * \returns true if equal
+         * @param o the object to compare
+         * @returns true if equal
          */
         bool operator==(const LookupResult& o) const;
     };
 
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -91,11 +91,11 @@
     /**
      * Add path
      *
-     * \param destination the destination address
-     * \param retransmitter the retransmitter address
-     * \param interface the interface
-     * \param cost the cost
-     * \param seqnum the sequence number
+     * @param destination the destination address
+     * @param retransmitter the retransmitter address
+     * @param interface the interface
+     * @param cost the cost
+     * @param seqnum the sequence number
      */
     void AddPath(const Mac48Address destination,
                  const Mac48Address retransmitter,
@@ -103,9 +103,9 @@
                  const uint8_t cost,
                  const uint16_t seqnum);
     /**
-     * \brief Lookup path to destination
-     * \param destination
-     * \return Broadcast if not found
+     * @brief Lookup path to destination
+     * @param destination
+     * @return Broadcast if not found
      */
     LookupResult Lookup(Mac48Address destination);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/mesh-information-element-vector.h ns-3.44/src/mesh/model/mesh-information-element-vector.h
--- ns-3.43/src/mesh/model/mesh-information-element-vector.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/mesh-information-element-vector.h	2025-03-09 16:55:49.643372000 -0700
@@ -20,8 +20,8 @@
                                    // Management IE)
 
 /**
- * \brief Information element vector
- * \ingroup wifi
+ * @brief Information element vector
+ * @ingroup wifi
  *
  * Implements a vector of WifiInformationElements.
  * Information elements typically come in groups, and the
@@ -36,8 +36,8 @@
     ~MeshInformationElementVector() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -45,11 +45,11 @@
     uint32_t GetSerializedSize() const override;
     void Serialize(Buffer::Iterator start) const override;
     /**
-     * \attention This variant should not be used but is implemented due to
+     * @attention This variant should not be used but is implemented due to
      * backward compatibility reasons
      *
-     * \param start buffer location to start deserializing from
-     * \return number of bytes deserialized
+     * @param start buffer location to start deserializing from
+     * @return number of bytes deserialized
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
     /**
@@ -57,19 +57,19 @@
      *
      * The size of this Header should equal start.GetDistanceFrom (end).
      *
-     * \param start starting buffer location
-     * \param end ending buffer location
-     * \return number of bytes deserialized
+     * @param start starting buffer location
+     * @param end ending buffer location
+     * @return number of bytes deserialized
      */
     uint32_t Deserialize(Buffer::Iterator start, Buffer::Iterator end) override;
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Needed when you try to deserialize a lonely IE inside other header
+     * @brief Needed when you try to deserialize a lonely IE inside other header
      *
-     * \param start is the start of the buffer
+     * @param start is the start of the buffer
      *
-     * \return deserialized bytes
+     * @return deserialized bytes
      */
     uint32_t DeserializeSingleIe(Buffer::Iterator start);
 
@@ -77,35 +77,35 @@
     typedef std::vector<Ptr<WifiInformationElement>>::iterator Iterator;
     /**
      * Returns Begin of the vector
-     * \returns the begin of the vector
+     * @returns the begin of the vector
      */
     Iterator Begin();
     /**
      * Returns End of the vector
-     * \returns the end of the vector
+     * @returns the end of the vector
      */
     Iterator End();
     /**
      * add an IE, if maxSize has exceeded, returns false
      *
-     * \param element wifi information element to add
-     * \returns true is added
+     * @param element wifi information element to add
+     * @returns true is added
      */
     bool AddInformationElement(Ptr<WifiInformationElement> element);
     /**
      * vector of pointers to information elements is the body of IeVector
      *
-     * \param id the element id to find
-     * \returns the information element
+     * @param id the element id to find
+     * @returns the information element
      */
     Ptr<WifiInformationElement> FindFirst(WifiInformationElementId id) const;
 
     /**
      * Check if the given WifiInformationElementVectors are equivalent.
      *
-     * \param a another WifiInformationElementVector
+     * @param a another WifiInformationElementVector
      *
-     * \return true if the given WifiInformationElementVectors are equivalent,
+     * @return true if the given WifiInformationElementVectors are equivalent,
      *         false otherwise
      */
     virtual bool operator==(const MeshInformationElementVector& a) const;
@@ -117,7 +117,7 @@
     typedef std::vector<Ptr<WifiInformationElement>> IE_VECTOR;
     /**
      * Current number of bytes
-     * \returns the number of bytes
+     * @returns the number of bytes
      */
     uint32_t GetSize() const;
     IE_VECTOR m_elements; //!< Information element vector
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/mesh-l2-routing-protocol.h ns-3.44/src/mesh/model/mesh-l2-routing-protocol.h
--- ns-3.43/src/mesh/model/mesh-l2-routing-protocol.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/mesh-l2-routing-protocol.h	2025-03-09 16:55:49.643372000 -0700
@@ -21,9 +21,9 @@
 class MeshPointDevice;
 
 /**
- * \ingroup mesh
+ * @ingroup mesh
  *
- * \brief Interface for L2 mesh routing protocol and mesh point communication.
+ * @brief Interface for L2 mesh routing protocol and mesh point communication.
  *
  * Every mesh routing protocol must implement this interface. Each mesh point (MeshPointDevice) is
  * supposed to know single L2RoutingProtocol to work with, see MeshPointDevice::SetRoutingProtocol
@@ -35,8 +35,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /// virtual D-tor for subclasses
@@ -44,10 +44,10 @@
     /**
      * Callback to be invoked when route discovery  procedure is completed.
      *
-     * \param flag        indicating whether a route was actually found and all needed information
+     * @param flag        indicating whether a route was actually found and all needed information
      * is added to the packet successfully
      *
-     * \param packet      for which the route was resolved. All routing information for MAC layer
+     * @param packet      for which the route was resolved. All routing information for MAC layer
      *                    must be stored in proper tags (like in case of HWMP, when WifiMacHeader
      *                    needs address of next hop), or must be added as a packet header (if MAC
      *                    does not need any additional information). So, the packet is returned back
@@ -55,13 +55,13 @@
      *                    (i.e data + src +dst + protocol). The only special information addressed
      *                    to MeshPointDevice is an outcoming interface ID.
      *
-     * \param src         source address of the packet
+     * @param src         source address of the packet
      *
-     * \param dst         destination address of the packet
+     * @param dst         destination address of the packet
      *
-     * \param protocol    ethernet 'Protocol' field, needed to form a proper MAC-layer header
+     * @param protocol    ethernet 'Protocol' field, needed to form a proper MAC-layer header
      *
-     * \param uint32_t    outcoming interface to use or 0xffffffff if packet should be sent by ALL
+     * @param uint32_t    outcoming interface to use or 0xffffffff if packet should be sent by ALL
      * interfaces
      */
     typedef Callback<void,         /* return type */
@@ -78,15 +78,15 @@
      *
      * Note that route discovery works async. -- RequestRoute returns immediately, while
      * reply callback will be called when routing information will be available.
-     * \return true if valid route is already known
-     * \param sourceIface the incoming interface of the packet
-     * \param source        source address
-     * \param destination   destination address
-     * \param packet        the packet to be resolved (needed the whole packet, because
+     * @return true if valid route is already known
+     * @param sourceIface the incoming interface of the packet
+     * @param source        source address
+     * @param destination   destination address
+     * @param packet        the packet to be resolved (needed the whole packet, because
      *                      routing information is added as tags or headers). The packet
      *                      will be returned to reply callback.
-     * \param protocolType  protocol ID, needed to form a proper MAC-layer header
-     * \param routeReply    callback to be invoked after route discovery procedure, supposed
+     * @param protocolType  protocol ID, needed to form a proper MAC-layer header
+     * @param routeReply    callback to be invoked after route discovery procedure, supposed
      *                      to really send packet using routing information.
      */
     virtual bool RequestRoute(uint32_t sourceIface,
@@ -96,17 +96,17 @@
                               uint16_t protocolType,
                               RouteReplyCallback routeReply) = 0;
     /**
-     * \brief When packet is ready to go to upper layer, protocol must
+     * @brief When packet is ready to go to upper layer, protocol must
      * remove all its information: tags, header, etc. So,
      * MeshPointDevice must call this method when passing a packet to
      * upper layer.
-     * \returns true if packet shall not be dropped, false otherwise.
-     * \param fromIface     the incoming interface of the packet
-     * \param source        source address
-     * \param destination   destination address
-     * \param packet        the packet to be handled
-     * \param protocolType  protocol ID, needed to form a proper MAC-layer header
-     * \attention protocol type is passed by reference, because may be
+     * @returns true if packet shall not be dropped, false otherwise.
+     * @param fromIface     the incoming interface of the packet
+     * @param source        source address
+     * @param destination   destination address
+     * @param packet        the packet to be handled
+     * @param protocolType  protocol ID, needed to form a proper MAC-layer header
+     * @attention protocol type is passed by reference, because may be
      * changed
      */
     virtual bool RemoveRoutingStuff(uint32_t fromIface,
@@ -117,13 +117,13 @@
     /**
      * Set host mesh point, analog of SetNode (...) methods for upper layer protocols.
      *
-     * \param mp the mesh point device
+     * @param mp the mesh point device
      */
     void SetMeshPoint(Ptr<MeshPointDevice> mp);
     /**
      * Each mesh protocol must be installed on the mesh point to work.
      *
-     * \returns the mesh point device
+     * @returns the mesh point device
      */
     Ptr<MeshPointDevice> GetMeshPoint() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/mesh-point-device.h ns-3.44/src/mesh/model/mesh-point-device.h
--- ns-3.43/src/mesh/model/mesh-point-device.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/mesh-point-device.h	2025-03-09 16:55:49.643372000 -0700
@@ -22,9 +22,9 @@
 {
 
 /**
- * \ingroup mesh
+ * @ingroup mesh
  *
- * \brief Virtual net device modeling mesh point.
+ * @brief Virtual net device modeling mesh point.
  *
  * Mesh point is a virtual net device which is responsible for
  *   - Aggregating and coordinating 1..* real devices -- mesh interfaces, see MeshInterfaceDevice
@@ -43,8 +43,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     /// C-tor create empty (without interfaces and protocols) mesh point
@@ -52,43 +52,43 @@
     /// D-tor
     ~MeshPointDevice() override;
 
-    /// \name Interfaces
+    /// @name Interfaces
     ///@{
     /**
-     * \brief Attach new interface to the station. Interface must support 48-bit MAC address and
+     * @brief Attach new interface to the station. Interface must support 48-bit MAC address and
      * SendFrom method.
-     * \param port the port used
+     * @param port the port used
      *
-     * \attention Only MeshPointDevice can have IP address, but not individual interfaces.
+     * @attention Only MeshPointDevice can have IP address, but not individual interfaces.
      */
     void AddInterface(Ptr<NetDevice> port);
     /**
-     * \return number of interfaces
+     * @return number of interfaces
      */
     uint32_t GetNInterfaces() const;
     /**
-     * \return interface device by its index (aka ID)
-     * \param id is interface id, 0 <= id < GetNInterfaces
+     * @return interface device by its index (aka ID)
+     * @param id is interface id, 0 <= id < GetNInterfaces
      */
     Ptr<NetDevice> GetInterface(uint32_t id) const;
     /**
-     * \return vector of interfaces
+     * @return vector of interfaces
      */
     std::vector<Ptr<NetDevice>> GetInterfaces() const;
     ///@}
 
-    /// \name Protocols
+    /// @name Protocols
     ///@{
     /**
      * Register routing protocol to be used. Protocol must be already installed on this mesh point.
      *
-     * \param protocol the routing protocol
+     * @param protocol the routing protocol
      */
     void SetRoutingProtocol(Ptr<MeshL2RoutingProtocol> protocol);
     /**
      * Access current routing protocol
      *
-     * \return the current routing protocol
+     * @return the current routing protocol
      */
     Ptr<MeshL2RoutingProtocol> GetRoutingProtocol() const;
     ///@}
@@ -123,11 +123,11 @@
     Address GetMulticast(Ipv6Address addr) const override;
     void DoDispose() override;
 
-    /// \name Statistics
+    /// @name Statistics
     ///@{
     /**
      *  Print statistics counters
-     *  \param os the output stream
+     *  @param os the output stream
      */
     void Report(std::ostream& os) const;
     /// Reset statistics counters
@@ -139,8 +139,8 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
@@ -148,7 +148,7 @@
      * Return a (random) forwarding delay value from the random variable
      * ForwardingDelay attribute.
      *
-     * \return A Time value from the ForwardingDelay random variable
+     * @return A Time value from the ForwardingDelay random variable
      */
     Time GetForwardingDelay() const;
 
@@ -156,12 +156,12 @@
     /**
      * Receive packet from interface
      *
-     * \param device the device to receive from
-     * \param packet the received packet
-     * \param protocol the protocol
-     * \param source the source address
-     * \param destination the destination address
-     * \param packetType the packet type
+     * @param device the device to receive from
+     * @param packet the received packet
+     * @param protocol the protocol
+     * @param source the source address
+     * @param destination the destination address
+     * @param packetType the packet type
      */
     void ReceiveFromDevice(Ptr<NetDevice> device,
                            Ptr<const Packet> packet,
@@ -172,11 +172,11 @@
     /**
      * Forward packet down to interfaces
      *
-     * \param incomingPort the incoming port
-     * \param packet the packet to forward
-     * \param protocol the protocol
-     * \param src the source MAC address
-     * \param dst the destination MAC address
+     * @param incomingPort the incoming port
+     * @param packet the packet to forward
+     * @param protocol the protocol
+     * @param src the source MAC address
+     * @param dst the destination MAC address
      */
     void Forward(Ptr<NetDevice> incomingPort,
                  Ptr<const Packet> packet,
@@ -184,15 +184,15 @@
                  const Mac48Address src,
                  const Mac48Address dst);
     /**
-     * \brief Response callback for L2 routing protocol. This will be executed when routing
+     * @brief Response callback for L2 routing protocol. This will be executed when routing
      * information is ready.
      *
-     * \param success     True is route found.
-     * \param packet      Packet to send
-     * \param src         Source MAC address
-     * \param dst         Destination MAC address
-     * \param protocol    Protocol ID
-     * \param iface       Interface to use (ID) for send (decided by routing protocol). All
+     * @param success     True is route found.
+     * @param packet      Packet to send
+     * @param src         Source MAC address
+     * @param dst         Destination MAC address
+     * @param protocol    Protocol ID
+     * @param iface       Interface to use (ID) for send (decided by routing protocol). All
      * interfaces will be used if outIface = 0xffffffff \todo diagnose routing errors
      */
     void DoSend(bool success,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/mesh-wifi-beacon.h ns-3.44/src/mesh/model/mesh-wifi-beacon.h
--- ns-3.43/src/mesh/model/mesh-wifi-beacon.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/mesh-wifi-beacon.h	2025-03-09 16:55:49.643372000 -0700
@@ -22,7 +22,7 @@
 class Time;
 
 /**
- * \brief Beacon is beacon header + list of arbitrary information elements
+ * @brief Beacon is beacon header + list of arbitrary information elements
  *
  * It is supposed that distinct mesh protocols can use beacons to transport
  * their own information elements.
@@ -33,16 +33,16 @@
     /**
      * C-tor
      *
-     * \param ssid is SSID for beacon header
-     * \param rates is a set of supported rates
-     * \param us beacon interval in microseconds
+     * @param ssid is SSID for beacon header
+     * @param rates is a set of supported rates
+     * @param us beacon interval in microseconds
      */
     MeshWifiBeacon(Ssid ssid, AllSupportedRates rates, uint64_t us);
 
     /**
      * Read standard Wifi beacon header
      *
-     * \returns the management beacon header
+     * @returns the management beacon header
      */
     MgtBeaconHeader BeaconHeader() const
     {
@@ -52,28 +52,28 @@
     /**
      * Add information element
      *
-     * \param ie the Wifi information element
+     * @param ie the Wifi information element
      */
     void AddInformationElement(Ptr<WifiInformationElement> ie);
 
     /**
      * Create Wifi header for beacon frame.
      *
-     * \param address is sender address
-     * \param mpAddress is mesh point address
-     * \returns the WifiMacHeader
+     * @param address is sender address
+     * @param mpAddress is mesh point address
+     * @returns the WifiMacHeader
      */
     WifiMacHeader CreateHeader(Mac48Address address, Mac48Address mpAddress);
     /**
      * Returns the beacon interval of Wifi beacon
      *
-     * \returns the beacon interval time
+     * @returns the beacon interval time
      */
     Time GetBeaconInterval() const;
     /**
      * Create frame = { beacon header + all information elements sorted by ElementId () }
      *
-     * \returns the frame
+     * @returns the frame
      */
     Ptr<Packet> CreatePacket();
 
